| Home · All Classes · All Namespaces · Modules · Functions · Files

# ClientApproverAdaptor Class Reference

`#include <TelepathyQt4/client-registrar-internal.h>`

List of all members.

## Public Slots

- void AddDispatchOperation (const Tp::ChannelDetailsList &channels, const QDBusObjectPath &dispatchOperation, const QVariantMap &properties, const QDBusMessage &message)

## Public Member Functions

- Tp::ChannelClassList ApproverChannelFilter () const

## Member Function Documentation

Tp::ChannelClassList ApproverChannelFilter | ( |  | ) | const`[inline]`

void AddDispatchOperation | ( | const Tp::ChannelDetailsList & | channels,
|  | const QDBusObjectPath & | dispatchOperation,
|  | const QVariantMap & | properties,
|  | const QDBusMessage & | message |
| ) |  |  | `[slot]`